<?php
/**
* @Copyright Copyright (C) 2010 VTEM . All rights reserved.
* @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
* @link     	http://www.vtem.net
**/
// no direct access
defined( '_JEXEC' ) or die('Restricted access');
class modVtemsweetHelper{
	public function __construct($module, $params) {
		// initialize config array
		$this->config = array();
		$this->config['closeDim'] = $params->get('closeDim', 60);
		$this->config['openDim'] = $params->get('openDim', 120);
		$this->config['menuposition'] = $params->get('menuposition', 1);
		$this->config['duration'] = $params->get('duration', 200);
		$this->config['opacity'] = $params->get('opacity', 0.8);
		$this->config['spacing'] = $params->get('spacing', 5);
		$this->config['fontsize'] = $params->get('fontsize', '12px');
		$this->config['backgroundcolor'] = $params->get('backgroundcolor', '#ccc');
		$this->config['textcolor'] = $params->get('textcolor', '#666');
		$this->config['jquery'] = $params->get('jquery', 1);
		$this->config['css'] = $params->get('css', '');
		$this->config['moduleclass_sfx'] = $params->get('moduleclass_sfx', '');
		$this->config['module_id'] = 'sweetid'.$module->id;
		// get the JSON tabs data
		$this->config['tabs_data'] = $params->get('tabs_data', '[]');
		$this->config['tabs_data'] = json_decode($this->config['tabs_data']);
	}
	// function to render module code
	public function render() {
		if(count($this->config['tabs_data']) == 0) {
			echo JText::_('MOD_VTEM_SWEET_NO_ITEMS_TO_SHOW');
			return false;
		}
		// create arrays for the content
		$this->menu_title = array();
		$this->menu_target = array();
		$this->menu_image = array();
		$this->menu_link = array();
		// get the user ID
		$user = JFactory::getUser();
		$registered_user = ($user->get('id', 0) != 0) ? true : false;
		// remove the unpublished or invisible for specified user tabs and put only necessary tabs
		for($i = 0; $i < count($this->config['tabs_data']); $i++) {
			if($this->config['tabs_data'][$i]->published == 1 && 
				($this->config['tabs_data'][$i]->access == 'public' || 
				($this->config['tabs_data'][$i]->access == 'registered' && $registered_user))) {
				$this->menu_title[] = $this->config['tabs_data'][$i]->name;
				$this->menu_target[] = $this->config['tabs_data'][$i]->type;
				$this->menu_image[] = $this->config['tabs_data'][$i]->image;
				$this->menu_link[] = $this->config['tabs_data'][$i]->url;
			}
		}
		$document = JFactory::getDocument();
		$uri = JURI::getInstance();
		$marginwidth = $this->config['openDim'] - $this->config['closeDim'];
		$style = '#vtem-'.$this->config['module_id'].'-sweet{position: fixed;margin: 0px;padding: 0px;list-style: none;z-index:9999;}#vtem-'.$this->config['module_id'].'-sweet li a{display: block;font-weight:bold;padding:5px;cursor:pointer;text-decoration:none !important;background-color:'.$this->config['backgroundcolor'].' !important;color:'.$this->config['textcolor'].' !important;font-size:'.$this->config['fontsize'].' !important;opacity:'.$this->config['opacity'].';filter:progid:DXImageTransform.Microsoft.Alpha(opacity='.($this->config['opacity']*100).');}#vtem-'.$this->config['module_id'].'-sweet li a img.vtemimgsweet{width:'.($this->config['closeDim'] - 5).'px; height:'.($this->config['closeDim'] - 5).'px; margin:5px;border:none;}#vtem-'.$this->config['module_id'].'-sweet li a span{display:block;}.vtem_sweet_item a:after {content: ".";display: block;height: 0;clear: both;visibility: hidden;zoom: 1;}';
		switch ($this->config['menuposition']) {
			case 1:
				$style .= '#vtem-'.$this->config['module_id'].'-sweet{top: 0px;right: 10px;}#vtem-'.$this->config['module_id'].'-sweet li{display:inline;float:left;}#vtem-'.$this->config['module_id'].'-sweet li a{height:'.$this->config['openDim'].'px;float:left;margin:0 '.$this->config['spacing'].'px;text-align:center;-moz-border-radius:0px 0px 5px 5px;border-radius:0px 0px 5px 5px;-webkit-border-bottom-right-radius: 5px;-webkit-border-bottom-left-radius: 5px;-khtml-border-bottom-right-radius: 5px;-khtml-border-bottom-left-radius: 5px;width:'.($this->config['closeDim']+5).'px;}#vtem-'.$this->config['module_id'].'-sweet li a span{width:'.$this->config['closeDim'].'px; height:'.($marginwidth -5).'px; overflow:hidden; text-align:center;}';
				break;
			case 2:
				$style .= '#vtem-'.$this->config['module_id'].'-sweet{bottom: 0px;right: 10px;}#vtem-'.$this->config['module_id'].'-sweet li{display:inline;float:left;}#vtem-'.$this->config['module_id'].'-sweet li a{height:'.$this->config['openDim'].'px;float:left;margin:0 '.$this->config['spacing'].'px -'.$marginwidth.'px '.$this->config['spacing'].'px;text-align:center;-moz-border-radius:5px 5px 0px 0px;border-radius:5px 5px 0px 0px;-webkit-border-top-right-radius: 5px;-webkit-border-top-left-radius: 5px;-khtml-border-top-right-radius: 5px;
-khtml-border-top-left-radius: 5px;width:'.($this->config['closeDim']+5).'px;}#vtem-'.$this->config['module_id'].'-sweet li a span{width:'.$this->config['closeDim'].'px; height:'.($marginwidth -5).'px; overflow:hidden; text-align:center;}';
				break;
			case 3:
				$style .= '#vtem-'.$this->config['module_id'].'-sweet{top: 10px;left: 0px;}#vtem-'.$this->config['module_id'].'-sweet li a{width:'.$this->config['openDim'].'px;margin:'.$this->config['spacing'].'px 0;text-align:right;-moz-border-radius:0px 5px 5px 0px;border-radius:0px 5px 5px 0px;-webkit-border-bottom-right-radius: 5px;-webkit-border-top-right-radius: 5px;-khtml-border-bottom-right-radius: 5px;-khtml-border-top-right-radius: 5px;height:'.($this->config['closeDim']+5).'px; vertical-align:bottom;}#vtem-'.$this->config['module_id'].'-sweet li a span,#vtem-'.$this->config['module_id'].'-sweet li a img.vtemimgsweet{float:right;}#vtem-'.$this->config['module_id'].'-sweet li a span{height:'.($this->config['closeDim'] -15).'px; width:'.($marginwidth -5).'px; padding-top:10px; overflow:hidden;}';
				break;
			case 4:
				$style .= '#vtem-'.$this->config['module_id'].'-sweet{top: 10px;right: 0px;}#vtem-'.$this->config['module_id'].'-sweet li a{width:'.$this->config['openDim'].'px;margin:'.$this->config['spacing'].'px -'.$marginwidth.'px '.$this->config['spacing'].'px 0;text-align:left;-moz-border-radius:5px 0px 0px 5px;border-radius:5px 0px 0px 5px;-webkit-border-bottom-left-radius: 5px;-webkit-border-top-left-radius: 5px;-khtml-border-bottom-left-radius: 5px;-khtml-border-top-left-radius: 5px; height:'.($this->config['closeDim']+5).'px; vertical-align:bottom;}#vtem-'.$this->config['module_id'].'-sweet li a img.vtemimgsweet{float:left;}#vtem-'.$this->config['module_id'].'-sweet li a span{height:'.($this->config['closeDim'] -15).'px; width:'.($marginwidth -5).'px; padding-top:10px; overflow:hidden;}';
				break;
        }
		$style .= $this->config['css'];
		$document->addStyleDeclaration($style);
		if($this->config['jquery'] == 1) {
			$document->addScript($uri->root().'modules/mod_vtem_sweet_menu/styles/jquery-1.7.2.min.js');
		}
		require(JModuleHelper::getLayoutPath('mod_vtem_sweet_menu', 'default'));
	}

}